## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel
Interface SybaseASATempTable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseASABaseTempTable, SybaseAuthorizedObject, SybaseBaseTable, Table, TemporaryTable

All Known Implementing Classes:
  SybaseASACatalogTempTable, SybaseASATempTableImpl

    public interface SybaseASATempTable

extends SybaseASABaseTempTable

A representation of the model object 'Sybase ASA Temp Table'.

The following features are supported:

- `Pctfree`

See Also:
  `SybaseasasqlmodelPackage.getSybaseASATempTable()`

Method Summary
`int` `getPctfree()` Returns the value of the 'Pctfree' attribute.
`void` `setPctfree(int value)` Sets the value of the '`Pctfree`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASABaseTempTable
`getTransactionOption, setTransactionOption`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.TemporaryTable
`isDeleteOnCommit, isLocal, setDeleteOnCommit, setLocal`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPctfree

    int getPctfree()

  Returns the value of the 'Pctfree' attribute. The default value is `"-1"`.

  If the meaning of the 'Pctfree' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Pctfree' attribute.
  See Also:
    `setPctfree(int)`, `SybaseasasqlmodelPackage.getSybaseASATempTable_Pctfree()`

### setPctfree

    void setPctfree(int value)

  Sets the value of the '`Pctfree`' attribute.

  Parameters:
    `value` - the new value of the 'Pctfree' attribute.
  See Also:
    `getPctfree()`